summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorwheatdog2019-03-14 19:05:29 +0800
committerwheatdog2019-03-14 19:05:29 +0800
commit2635d98fb576fe4f79267b79b86a9ee822b1dc20 (patch)
treef7f0ac0e1d067022b9afec3029fa8d9f0ae1ff37
downloadaur-2635d98fb576fe4f79267b79b86a9ee822b1dc20.tar.gz
Initial upload: i3-workspace-groups-git r78.e30c30f-1
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD34
-rw-r--r--i3-workspace-groups-git.install8
3 files changed, 61 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..b859d06e235
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,19 @@
+pkgbase = i3-workspace-groups-git
+ pkgdesc = Manage i3wm workspaces in groups you control
+ pkgver = r78.e30c30f
+ pkgrel = 1
+ url = https://github.com/infokiller/i3-workspace-groups
+ install = i3-workspace-groups-git.install
+ arch = any
+ license = MIT
+ makedepends = python-setuptools
+ makedepends = git
+ depends = python
+ depends = i3-wm
+ provides = i3-workspace-groups
+ conflicts = i3-workspace-groups
+ source = git+https://github.com/infokiller/i3-workspace-groups
+ sha256sums = SKIP
+
+pkgname = i3-workspace-groups-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..31fcfa94677
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,34 @@
+# Maintainer: Tim Liou <wheatdoge at gmail dot com>
+_pkgname="i3-workspace-groups"
+pkgname="${_pkgname}-git"
+pkgver=r78.e30c30f
+pkgrel=1
+pkgdesc='Manage i3wm workspaces in groups you control'
+url='https://github.com/infokiller/i3-workspace-groups'
+arch=('any')
+license=('MIT')
+source=("git+https://github.com/infokiller/i3-workspace-groups")
+sha256sums=('SKIP')
+depends=('python' 'i3-wm')
+makedepends=('python-setuptools' 'git')
+provides=('i3-workspace-groups')
+conflicts=('i3-workspace-groups')
+install="${pkgname}.install"
+
+pkgver() {
+ cd "$_pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd "$_pkgname"
+ python setup.py build
+}
+
+package() {
+ cd "$_pkgname"
+ python setup.py install --root="$pkgdir/" --optimize=1 --skip-build
+}
diff --git a/i3-workspace-groups-git.install b/i3-workspace-groups-git.install
new file mode 100644
index 00000000000..abcc3c139c1
--- /dev/null
+++ b/i3-workspace-groups-git.install
@@ -0,0 +1,8 @@
+#!/bin/bash
+post_install() {
+ echo -e '
+For more information about configuration,
+checkout out https://github.com/infokiller/i3-workspace-groups
+'
+}
+#post_install